## python-microversion-parse 1.0.0

=== doc/requirements.txt ===
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD

## python-microversion-parse 0.1.3

=== debian/changelog ===
python-microversion-parse (0.1.3-2) unstable; urgency=medium

  * Added myself as uploader
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright
    - Changed source URL to https protocol
    - Added myself to Debian part
  * Added Suggests: python-microversion-parse-doc (Closes: #825363)
  * Added autopkgtest-pkg-python testsuite
  * Added DEP-3 meta for html-static-path.patch

 -- Ondřej Nový <novy@ondrej.org>  Mon, 30 May 2016 13:58:45 +0200

python-microversion-parse (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #824661)

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 May 2016 09:32:06 -0400

=== debian/control ===
Source: python-microversion-parse
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
           Ondřej Nový <novy@ondrej.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.3),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.3),
               python3-setuptools,
Build-Depends-Indep: python-hacking,
                     python-oslosphinx (>= 2.5.0),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python3-hacking,
                     python3-testtools (>= 1.4.0),
                     python3-webob (>= 1.2.3),
                     subunit (>= 1.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-microversion-parse.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-microversion-parse.git
Homepage: https://launchpad.net/microversion-parse
Testsuite: autopkgtest-pkg-python

Package: python-microversion-parse
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Suggests: python-microversion-parse-doc
Description: OpenStack microversion header parsing library - Python 2.7
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the Python 2.7 module.

Package: python3-microversion-parse
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-microversion-parse-doc
Description: OpenStack microversion header parsing library - Python 3.x
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the Python 3.x module.

Package: python-microversion-parse-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack microversion header parsing library - doc
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/microversion-parse.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-microversion-parse; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-microversion-parse; \
	done
	rm -rf $(CURDIR)/debian/python*-microversion-parse/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-microversion-parse-doc/usr/share/doc/python-microversion-parse-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-microversion-parse 0.1.4

=== debian/changelog ===
python-microversion-parse (0.1.4-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:40:15 +0000

python-microversion-parse (0.1.4-1) unstable; urgency=medium

  * New upstream release
  * d/{control,copyright}: Use my @debian.org email address
  * d/rules: Cleanup and use pkgos-dh_* tools
  * Bump required openstack-pkg-tools version to 52

 -- Ondřej Nový <onovy@debian.org>  Sun, 07 Aug 2016 22:05:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Corey Bryant <corey.bryant@canonical.com>,
-           Ondřej Nový <novy@ondrej.org>,
+           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.3),
                python-setuptools,
@@ -24,8 +24,8 @@
                      subunit (>= 1.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-microversion-parse.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-microversion-parse.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-microversion-parse?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-microversion-parse -b debian/newton
 Homepage: https://launchpad.net/microversion-parse
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/microversion-parse/tags .*/(\d[\d\.]+)\.tar\.gz

## python-microversion-parse 0.2.1

=== debian/changelog ===
python-microversion-parse (0.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Wed, 05 Sep 2018 10:04:48 +0200

python-microversion-parse (0.2.1-1) experimental; urgency=medium

  * New upstream release
  * Change build deps for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Aug 2018 14:19:33 +0200

python-microversion-parse (0.1.4-3) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Ondřej Nový ]
  * Bumped debhelper version to 11
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Bump my copyright year
  * Updating standards version to 4.2.0
  * Build docs with Python 3 version of Sphinx

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Aug 2018 14:06:46 +0200

python-microversion-parse (0.1.4-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:11:18 +0200

=== debian/control ===
Source: python-microversion-parse
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 1.3),
 python-setuptools,
 python3-all,
 python3-pbr (>= 1.3),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-gabbi (>= 1.35.0),
 python-hacking,
 python-stestr,
 python-testtools (>= 1.4.0),
 python-webob (>= 1.2.3),
 python3-gabbi (>= 1.35.0),
 python3-hacking,
 python3-oslosphinx (>= 2.5.0),
 python3-stestr,
 python3-testtools (>= 1.4.0),
 python3-webob (>= 1.2.3),
 subunit (>= 1.1.0),
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-microversion-parse
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-microversion-parse.git
Homepage: https://launchpad.net/microversion-parse
Testsuite: autopkgtest-pkg-python

Package: python-microversion-parse
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-microversion-parse-doc,
Description: OpenStack microversion header parsing library - Python 2.7
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the Python 2.7 module.

Package: python-microversion-parse-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack microversion header parsing library - doc
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the documentation.

Package: python3-microversion-parse
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-microversion-parse-doc,
Description: OpenStack microversion header parsing library - Python 3.x
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/microversion-parse.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
	python3 -m sphinx -b html doc/source debian/python-microversion-parse-doc/usr/share/doc/python-microversion-parse-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-microversion-parse 1.0.0

=== debian/changelog ===
python-microversion-parse (1.0.0-0ubuntu1) focal; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Mar 2020 10:52:46 -0400

python-microversion-parse (0.2.1-3) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * d/copyright: Bump my copyright year.
  * Use pybuild for building package.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Remove subunit from B-D-I.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 12:04:40 +0200

=== debian/control ===
Source: python-microversion-parse
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python3-all,
 python3-pbr (>= 1.3),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-gabbi (>= 1.35.0),
 python3-hacking,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslosphinx (>= 2.5.0),
 python3-stestr (>= 1.0.0),
 python3-testtools (>= 1.4.0),
 python3-webob (>= 1:1.2.3),
Standards-Version: 4.4.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-microversion-parse
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-microversion-parse
Homepage: https://launchpad.net/microversion-parse
Testsuite: autopkgtest-pkg-python

Package: python-microversion-parse-doc
Section: doc
Architecture: all
Depends:
 python3-webob (>= 1:1.2.3),
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack microversion header parsing library - doc
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the documentation.

Package: python3-microversion-parse
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-microversion-parse-doc,
Description: OpenStack microversion header parsing library - Python 3.x
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the Python 3.x module.

## python-microversion-parse 1.0.1

=== Makefile ===
# simple Makefile for some common tasks
.PHONY: clean test dist release pypi tagv docs

clean:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -r .tox || true
	rm -r .testrepository || true
	rm -r cover .coverage || true
	rm -r .eggs || true
	rm -r microversion_parse.egg-info || true

tagv:
	git tag \
		-m `python -c 'import microversion_parse; print microversion_parse.__version__'` \
		`python -c 'import microversion_parse; print microversion_parse.__version__'`
	git push origin master --tags

cleanagain:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -r .tox || true
	rm -r .testrepository || true
	rm -r cover .coverage || true
	rm -r .eggs || true
	rm -r microversion_parse.egg-info || true

docs:
	cd docs ; $(MAKE) html

test:
	tox --skip-missing-interpreters

dist: test
	python setup.py sdist

release: clean test cleanagain tagv pypi

pypi:
	python setup.py sdist upload

=== requirements.txt ===
WebOb>=1.2.3 # MIT

=== debian/changelog ===
python-microversion-parse (1.0.1-3) unstable; urgency=medium

  * Add remove-intersphinx.patch (Closes: #1090149).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Dec 2024 16:00:33 +0100

python-microversion-parse (1.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:15:11 +0200

python-microversion-parse (1.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 17:21:13 +0200

python-microversion-parse (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Replaced oslosphinx build-depends by openstackdocstheme.
  * Removed html-static-path.patch.
  * Add myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Mar 2020 11:33:07 +0200

=== debian/control ===
Source: python-microversion-parse
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
 Ondřej Nový <onovy@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python3-all,
 python3-pbr (>= 1.3),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-gabbi (>= 1.35.0),
 python3-hacking,
 python3-openstackdocstheme,
 python3-stestr,
 python3-testtools (>= 1.4.0),
 python3-webob (>= 1.2.3),
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-microversion-parse
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-microversion-parse.git
Homepage: https://launchpad.net/microversion-parse
Testsuite: autopkgtest-pkg-python

Package: python-microversion-parse-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack microversion header parsing library - doc
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the documentation.

Package: python3-microversion-parse
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-microversion-parse-doc,
Description: OpenStack microversion header parsing library - Python 3.x
 OpenStack services use REST APIs, which include HTTP headers. This package
 provides a simple parser for OpenStack microversion headers.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/microversion-parse.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=microversion-parse

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	python3 -m sphinx -b html doc/source debian/python-microversion-parse-doc/usr/share/doc/python-microversion-parse-doc/html
	dh_sphinxdoc

## python-microversion-parse 2.0.0

=== debian/changelog ===
python-microversion-parse (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Clean-up in d/control.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 15:10:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,22 @@
 Priority: optional
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
- Corey Bryant <corey.bryant@canonical.com>,
- Ondřej Nový <onovy@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 52~),
+ openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 1.3),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-gabbi (>= 1.35.0),
+ python3-gabbi,
  python3-hacking,
  python3-openstackdocstheme,
  python3-stestr,
- python3-testtools (>= 1.4.0),
- python3-webob (>= 1.2.3),
+ python3-testtools,
+ python3-webob,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-microversion-parse
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-microversion-parse.git
